petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscMatlabEngineGet

Gets a variable from MATLAB into a PETSc object.

### Synopsis

    #include "petscmatlab.h"
    PetscErrorCode  PetscMatlabEngineGet(PetscMatlabEngine mengine,PetscObject obj)

Collective on PetscObject

### Input Parameters

| mengine | - the MATLAB engine
| object | - the PETSc object, for example Vec

Note: Mats transferred between PETSc and MATLAB and vis versa are transposed in the other space (this is because MATLAB uses compressed column format and PETSc uses compressed row format)

### See Also

PetscMatlabEngineDestroy(), PetscMatlabEnginePut(), PetscMatlabEngineCreate(),
PetscMatlabEngineEvaluate(), PetscMatlabEngineGetOutput(), PetscMatlabEnginePrintOutput(), PETSC_MATLAB_ENGINE_(), PetscMatlabEnginePutArray(), MatlabEngineGetArray(), PetscMatlabEngine

### Level

advanced

### Location

src/sys/classes/matlabengine/matlab.c

### Examples

src/snes/tutorials/ex5.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages